#include "cKey.hpp"

/*** Custom Header Files ***/
#include "cKeyboard.hpp"

using InputEngine::cKey;

cKey::cKey( const SDL_Keycode& key )
: m_key(key)
{}

cKey::cKey( const cKey& copy )
: m_key(copy.getKey())
{}

/*virtual*/ cKey::~cKey()
{}

///Funtions
/*virtual*/ void cKey::KeyPress()
{}

/*virtual*/ void cKey::KeyUP()
{}

/*virtual*/ void cKey::KeyDown()
{}

///Sets
void cKey::setKey( const SDL_Keycode& key )
{
	m_key = key;
}
		
///Gets
const SDL_Keycode& cKey::getKey() const
{
	return m_key;
}